%bcond_with docs

Summary:        A platform independent file lock
Name:           python-filelock
Version:        3.12.4
Release:        2%{?dist}
License:        Unlicense
URL:            https://github.com/tox-dev/py-filelock
Source0:        %{pypi_source filelock}

BuildRequires:  python3-devel python3-pytest-mock
BuildRequires:  python3-pytest python3-pytest-timeout
%if %{with docs}
BuildRequires:  python3-sphinx python3-sphinx-autodoc-typehints
%endif

BuildArch:      noarch

%description
This package provides a single module, which implements a platform independent file locking 
mechanism for Python. The lock includes a lock counter and is thread safe.

%if %{with docs}
%package doc
Summary:        Documentation for filelock, %{summary}

%description doc
%{summary}
%endif

%package -n python3-filelock
Summary:        %{summary}

%if %{with docs}
Suggests:       %{name}-doc
%endif

%description -n python3-filelock
This package provides a single module, which implements a platform independent file locking 
mechanism for Python. The lock includes a lock counter and is thread safe.

%prep
%autosetup -n filelock-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%if %{with docs}
pushd docs
PYTHONPATH=../src sphinx-build ./ html --color -b html
PYTHONPATH=../src sphinx-build ./ man --color -b man
rm html/.buildinfo
popd
%endif

%install
%pyproject_install
%pyproject_save_files filelock

%if %{with docs}
install -p -m0644 -D docs/man/filelock.1 %{buildroot}%{_mandir}/man1/filelock.1
%endif

%check
%pytest

%if %{with docs}
%files doc
%license LICENSE
%doc docs/html
%endif

%files -n python3-filelock -f %{pyproject_files}
%license LICENSE
%doc README.md
%if %{with docs}
%{_mandir}/man1/filelock.1.gz
%endif


%changelog
* Tue Jul 09 2024 Huang Yang <huangyang@loongson.cn> - 3.12.4-2
- [Type] other
- [DESC] fix LICENSE not find

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 3.12.4-1
- upgrade to 3.12.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 3.3.1-1
- package init.
